package com.minich.helloandroid2;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class HelloAndroid2 extends Activity implements OnClickListener
{
	EditText etName;
	EditText etPhoneNum;
	TextView tvOutput;
	public static String filename = "AppDataFile";
	SharedPreferences sharedData;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) 
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		// setting up objects (i.e. views)
		Button save = (Button) findViewById(R.id.bSave);
		save.setOnClickListener(this);				
		etName = (EditText) findViewById(R.id.etName);
		etPhoneNum = (EditText) findViewById(R.id.etPhoneNum);
		tvOutput = (TextView) findViewById(R.id.tvOutput);
		
		// loading previously saved data
		sharedData = getSharedPreferences(filename, 0); // 0 = MOD_PRIVATE
		String name = sharedData.getString("name", "no data stored");
		String phone = sharedData.getString("phoneNum", "no data stored");
		tvOutput.setText(name + " " + phone);	
	}

	public void onClick(View v) 
	{		
		if (v.getId() == R.id.bSave)
		{
			String name = etName.getText().toString();
			String phoneNum = etPhoneNum.getText().toString();
			SharedPreferences.Editor editor = sharedData.edit();
			editor.putString("name", name);
			editor.putString("phoneNum", phoneNum);
			editor.commit();			
		}
	}   
}